summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Schneider <asn@cryptomilk.org>2021-08-22 17:03:28 +0200
committerAndreas Schneider <asn@cryptomilk.org>2021-08-22 17:03:28 +0200
commit7792b567431c8321da7dda0f8cf89c39248fe5fb (patch)
tree8f863e61870273e800266be81236ca6ee1e6fab1
parentb4dbb4d3d470e7e872210fb74f408d7e411441c1 (diff)
downloaddotfiles-7792b567431c8321da7dda0f8cf89c39248fe5fb.tar.gz
dotfiles-7792b567431c8321da7dda0f8cf89c39248fe5fb.tar.xz
dotfiles-7792b567431c8321da7dda0f8cf89c39248fe5fb.zip
nvim: Build telescope-fzy-native with -O3 and bash fixes
-rwxr-xr-xnvim/bin/build_nvim_ext8
1 files changed, 4 insertions, 4 deletions
diff --git a/nvim/bin/build_nvim_ext b/nvim/bin/build_nvim_ext
index 8cda43f..7f12f1b 100755
--- a/nvim/bin/build_nvim_ext
+++ b/nvim/bin/build_nvim_ext
@@ -1,9 +1,9 @@
#!/bin/bash
-export CFLAGS="-O2 -march=native -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto"
-export CXXFLAGS="-O2 -march=native -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto"
+export CFLAGS="-O3 -march=native -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto"
+export CXXFLAGS="-O3 -march=native -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto"
# Telescope
-pushd ~/.local/share/nvim/site/pack/packer/start/telescope-fzy-native.nvim/deps/fzy-lua-native/
+pushd ~/.local/share/nvim/site/pack/packer/start/telescope-fzy-native.nvim/deps/fzy-lua-native/ || exit 1
make
-popd
+popd || exit 1